<ion-content>
	<div class="page-wrapper">
		<div class="content">
			<div class="row">
				<div class="col-lg-8 offset-lg-2">
					<h4 class="page-title">Add Employee</h4>
				</div>
			</div>
			<div class="row">
				<div class="col-lg-8 offset-lg-2">
					<app-alerts
						[error]="error"
						[success]="success"
					></app-alerts>
				</div>
			</div>
			<div class="row">
				<div class="col-lg-8 offset-lg-2">
					<form>
						<div class="row">
							<div class="col-sm-6">
								<div class="form-group">
									<label
										>Nombre
										<span class="text-danger"
											>*</span
										></label
									>
									<input
										class="form-control"
										required
										type="text"
										[(ngModel)]="user.FirstName"
										name="firstName"
									/>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="form-group">
									<label>Apellido</label>
									<input
										class="form-control"
										type="text"
										required
										[(ngModel)]="user.LastName"
										name="lastname"
									/>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="form-group">
									<label
										>Email
										<span class="text-danger"
											>*</span
										></label
									>
									<input
										class="form-control"
										type="email"
										required
										[(ngModel)]="user.email"
										name="email"
									/>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="form-group">
									<label>Role</label>
									<select
										class="form-control"
										[(ngModel)]="user.Role"
										name="role"
									>
										<option value="1">Admin</option>
										<option value="10">Empleado</option>
										<option value="100">Acompañante</option>
										<option value="1000">Usuario</option>
									</select>
								</div>
							</div>
						</div>
						<ng-container
							*ngIf="user.FirstName && user.LastName && user.email  && user.Role"
						>
							<div class="m-t-20 text-center">
								<button
									class="btn btn-primary submit-btn"
									(click)="createUser()"
								>
									Create Employee
								</button>
							</div>
						</ng-container>
					</form>
				</div>
			</div>
		</div>
	</div>
</ion-content>
